///home/berryj/link/bin/genMethods "-g" "-t" "Vertex*" "-h" "SubSet" "-I" "LINK/graph/Vertex.h" "-I" "LINK/basic/SubSet.h" "-y" "display_subset_vertex" "-d" "graph" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/graph/Vertex.h>

#include <LINK/basic/SubSet.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>

void display_subset_vertex(SCM, SCM, int);

typedef Vertex* _Vertex_;
typedef SubSet<Vertex* > _SubSet_Vertex__;
static SubSet<Vertex* > s__SubSet_Vertex__;

#define _SubSet_Vertex__DATA(x) ((SubSet<Vertex* >*) (EXTDATA(x)))
#define _SubSet_Vertex__IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SubSet<Vertex* > >::type))
#define _SubSet_Vertex__ISNT_DATA(x) (!_SubSet_Vertex__IS_DATA(x))

#define _SubSet_Vertex__CXX_DATA(x) (*(SubSet<Vertex* >*) (EXTDATA(VAL(x))))
#define _SubSet_Vertex__CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<SubSet<Vertex* > >::type))
#define _SubSet_Vertex__CXX_ISNT_DATA(x) (!_SubSet_Vertex__CXX_IS_DATA(x))


PRIMITIVE STk_init__SubSet_Vertex__()
{
	Wrapper<_SubSet_Vertex__>::type = STk_new_CXXwrapper_id(
			Wrapper<_SubSet_Vertex__>::name, 
			"",
			(void (*)(SCM x, SCM port, int mode))
			display_subset_vertex,
			(void (*)(SCM x))0,
			(void (*)(SCM x))0);
	Tcl_InitHashTable(&Register<_SubSet_Vertex__>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_SubSet_Vertex__Methods(void);

PRIMITIVE STk_init_methods__SubSet_Vertex__()
{
	genExtra_SubSet_Vertex__Methods();
	return UNDEFINED;
}
